org.eclipse.wst.jsdt.chromium.debug.core.model

## Class ExpressionTracker

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.ExpressionTracker

    public class ExpressionTracker
    extends java.lang.Object

Tracks how one variable is obtained as an inner property of another variable. This allows to build corresponding watch expression for the variable later. Each variable (and therefore value) gets its own `ExpressionTracker#Node`. The node keeps reference to its parent node, plus it tracks some additional data about expression (for example that no expression is possible for this particular variable).

### Constructor Summary

Constructors
Constructor and Description
`ExpressionTracker()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.eclipse.wst.jsdt.chromium.debug.core.model.ExpressionTracker.Node` `createExpressionNode(java.lang.String expression)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExpressionTracker

    public ExpressionTracker()

### Method Detail

#### createExpressionNode

    public static org.eclipse.wst.jsdt.chromium.debug.core.model.ExpressionTracker.Node createExpressionNode(java.lang.String expression)